Skip to content
View as Markdown

PUT Update Manager​

PUT
/campaign-pro-settings/managers/{id}

Update the permissions of an existing FluentCRM manager. Permission dependencies are validated before assignment. The manager is identified by their WordPress user ID.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The WordPress user ID of the manager.

Type
integer
Required

Request Body​

application/json
JSON
{
"manager": {
"email": "string",
"permissions": [
"string"
]
}
}

Responses​

Manager updated successfully.

application/json
JSON
{
"message": "string"
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI